Thursday, September 23, 2010

Kernel Updates for 64bit Systems

The kernels packages on Slackware64 for 13.1 and -Current64 has been patched and rebuilt to fix two security problems with 64 bit to 32 bit conversion fixed in the 3.6.36-rc5 upstream:
64-bit Compatibility Mode Stack Pointer Underflow (CVE-2010-3081).
IA32 System Call Entry Point Vulnerability (CVE-2010-3301).

This update only affects the 64 bit systems, so it will not be released under 32 bit.